#!/bin/sh
set_xorg() {
   SCR_SET="    Screen "
   cat /etc/X11/xorg.conf.default | sed -e "s/$SCR_SET.*/$SCR_SET \"$1\"/" >  /etc/X11/xorg.conf
}

XCFG="xorg.conf.new"

BOARD=$(/_config/bin/query_mb.sh)

case "$BOARD" in
   MP_*)
      set_xorg "ScrMP"
      ;;
   EPIA_M)
      set_xorg "ScrVia"
      ;;
   ACTIVY)
      set_xorg "ScrActivy"
      ;;
   *)
      echo "Unknown Board - Autoconfiguring X"
      rm /xorg.conf.new /root/xorg.conf.new /tmp/.X* > /dev/null 2>&1
      killall -9 X xinit > /dev/null 2>&1
      /usr/X11R6/bin/X -configure > /dev/null 2>&1
      if [ -f /${XCFG} ] ; then
         CFG="/${XCFG}"
      else
         CFG="/root/${XCFG}"
      fi   
      sed -i $CFG -e 's/Viewport.*/Modes "800x600" "640x480" "1024x768" "1280x1024"/'
      sed -i $CFG -e 's/Monitor.*Monitor0.*/Monitor    "SVGA"/'
      cat $CFG /etc/X11/xorg.conf.monitor > /etc/X11/xorg.conf
      rm $CFG
      ;;
esac
