#!/bin/sh
URL="www.htpc-forum.de/gen2vdr/1.1/fixes"
MD5_FILE="g2v_md5_fixes"

cd /_config/update
rm -f $MD5_FILE >/dev/null 2>&1
wget "${URL}/${MD5_FILE}"

ARCHS=$(cat $MD5_FILE | grep "\.tar\.bz2" | cut -f 3 -d " ")

for i in $ARCHS ; do
   if [ -f ${i} ] ; then
      echo "Checking md5sum <${i}> ..."
      MD5=$(md5sum ${i} | cut -f 1 -d " ")
      if [ "$(grep ${i} ${MD5_FILE} | grep $MD5)" != "" ] ; then
         echo "$i bereits verarbeitet"
         continue
      else
         rm -f ${i}
      fi    
   fi
   echo "Downloading <${i}> ..."
   wget ${URL}/${i}
   MD5=$(md5sum ${i} | cut -f 1 -d " ")
   if [ "$(grep ${i} ${MD5_FILE} | grep $MD5)" = "" ] ; then
      logger -s "Fehler bei Download von ${i}"
      exit -1
   fi
   logger -s "Entpacke <$i>"            
   tar -C / -xjvf $i
   INST_SCRIPT=$(echo $i| sed -e "s/.tar.bz2/.sh/")
   if [ -f $INST_SCRIPT ] ; then
      logger -s "Starte <$INST_SCRIPT>"            
      sh $INST_SCRIPT
   fi
done

